
package vieon.reactlibrary.extensions.auto_start;

import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

public class RNAutoStartHelperModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;

  public RNAutoStartHelperModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @Override
  public String getName() {
    return "RNAutoStartHelper";
  }

  @ReactMethod
  public void checkAutoStartPermission(final Promise promise){
    AutoStartPermissionHelper.getInstance().getAutoStartPermission( this.reactContext.getCurrentActivity() != null ? this.reactContext.getCurrentActivity()
        : this.reactContext,promise);
  }

}